<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/webwork" prefix="ww" %>
<html>
<head>
    <title>
        <ww:property value="getText('menu.viewdirectory.label')"/>
    </title>
    <meta name="section" content="applications"/>
    <script type="text/javascript" language="JavaScript">
        function addDirectory()
        {
            var form = document.directoriesForm;
            form.action = '<ww:url namespace="/console/secure/application" action="updatedirectory" method="addDirectory" includeParams="none" />';
            form.submit();
        }

        function addGroup()
        {
            var form = document.groupsForm;
            form.action = '<ww:url namespace="/console/secure/application" action="updategroups" method="addGroup" includeParams="none"/>';
            form.submit();
        }

        function addAddress()
        {
            var form = document.addressForm;
            form.action = '<ww:url namespace="/console/secure/application" action="updateaddresses" method="addAddress" includeParams="none" />';
            form.submit();
        }
    </script>
</head>
<body onload="init();">

    <jsp:include page="../../decorator/javascript_tabs.jsp">
        <jsp:param name="totalTabs" value="5"/>
    </jsp:include>

    <p class="headingInfo">
        <a href="<ww:url namespace="/console/secure/application" action="addapplication" includeParams="none" />">
            <ww:property value="getText('menu.addapplication.label')"/>
        </a>
        &nbsp; | &nbsp;
        <a href="<ww:url namespace="/console/secure/application" action="removeapplication" includeParams="none"><ww:param name="ID" value="ID"/></ww:url>">
            <ww:property value="getText('manu.removeapplication.label')"/>
        </a>
    </p>

    <h2>
        <ww:property value="getText('menu.viewapplication.label')"/>
        &nbsp;&ndash;&nbsp;
        <ww:property value="name"/>
    </h2>

    <div class="page-content">

    <ul class="tabs">
        <li class="on" id="hreftab1">
            <a href="javascript:processTabs(1);">
                <ww:property value="getText('menu.details.label')"/>
            </a>
        </li>

        <li id="hreftab2">
            <a href="javascript:processTabs(2);">
                <ww:property value="getText('menu.directory.label')"/>
            </a>
        </li>

        <li id="hreftab3">
            <a href="javascript:processTabs(3);">
                <ww:property value="getText('menu.group.label')"/>
            </a>
        </li>

        <li id="hreftab4">
            <a href="javascript:processTabs(4);">
                <ww:property value="getText('menu.address.label')"/>
            </a>
        </li>

        <li id="hreftab5">
            <a href="javascript:processTabs(5);">
                <ww:property value="getText('menu.configtest.label')"/>
            </a>
        </li>
    </ul>

    <div class="tabContent create" id="tab1">
        <div class="crowdForm">
            <form method="post" action="<ww:url namespace="/console/secure/application" action="updateapplication" method="update" includeParams="none" />">

                <div class="formBodyNoTop">

                    <ww:include value="/console/include/generic_errors.jsp"/>

                    <input type="hidden" name="ID" value="<ww:property value="ID" />"/>

                    <ww:textfield name="name" size="35px;">
                        <ww:param name="label" value="getText('application.name.label')"/>
                        <ww:param name="description">
                            <ww:property value="getText('application.name.description')"/>
                        </ww:param>
                    </ww:textfield>

                    <ww:textfield name="description" size="35px;">
                        <ww:param name="label" value="getText('application.description.label')"/>
                        <ww:param name="description">
                            <ww:property value="getText('application.description.description')"/>
                        </ww:param>
                    </ww:textfield>

                    <ww:checkbox name="active" fieldValue="true">
                        <ww:param name="label" value="getText('application.active.label')"/>
                    </ww:checkbox>

                    <ww:include value="/console/include/generic_form_row.jsp">
                        <ww:param name="label" value="getText('application.conception.label')" />
                        <ww:param name="value">
                            <ww:date format="dd MMM yyyy, HH:mm:ss" name="application.conception"/>
                        </ww:param>
                    </ww:include>

                    <ww:include value="/console/include/generic_form_row.jsp">
                        <ww:param name="label" value="getText('application.lastmodified.label')" />
                        <ww:param name="value">
                            <ww:date format="dd MMM yyyy, HH:mm:ss" name="application.lastModified"/>
                        </ww:param>
                    </ww:include>

                    <ww:password name="password" size="35px;">
                        <ww:param name="label" value="getText('password.label')"/>
                        <ww:param name="description">
                            <ww:property value="getText('application.password.description')"/>
                        </ww:param>
                    </ww:password>

                    <ww:password name="passwordConfirm" size="35px;">
                        <ww:param name="label" value="getText('passwordconfirm.label')"/>
                    </ww:password>

                </div>

                <div class="formFooter wizardFooter">

                    <div class="buttons">

                        <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                        <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                               onClick="window.location='<ww:url namespace="/console/secure/application" action="viewapplication" method="default" includeParams="none"><ww:param name="ID" value="ID"/><ww:param name="tab" value="1"/></ww:url>'"/>
                    </div>
                </div>

            </form>

        </div>

    </div>

    <div class="tabContent" id="tab2">

        <div class="crowdForm">

            <form method="post" action="<ww:url namespace="/console/secure/application" action="updatedirectory" method="update" includeParams="none"/>" name="directoriesForm">

                <div class="formBodyNoTop">

                    <ww:include value="/console/include/generic_errors.jsp"/>

                    <p>
                        <ww:property value="getText('application.directorymappings.text')"/>
                    </p>

                    <input type="hidden" name="ID" value="<ww:property value="ID" />"/>
                    <input type="hidden" name="tab" value="2"/>

                    <table id="directoriesTable create" class="formTable">

                        <ww:if test="application.directories.size > 1">
                            <tr>
                                <th width="40%">
                                    <ww:property value="getText('browser.directory.label')"/>
                                </th>
                                <th width="15%">
                                    <ww:property value="getText('browser.directoryorder.label')"/>
                                </th>
                                <th width="25%">
                                    <ww:property value="getText('browser.allowalltoauthenticate.label')"/>
                                </th>
                                <th width="20%">
                                    <ww:property value="getText('browser.action.label')"/>
                                </th>
                            </tr>
                        </ww:if>
                        <ww:else>
                            <tr>
                                <th width="55%">
                                    <ww:property value="getText('browser.directory.label')"/>
                                </th>
                                <th width="25%">
                                    <ww:property value="getText('browser.allowalltoauthenticate.label')"/>
                                </th>
                                <th width="20%">
                                    <ww:property value="getText('browser.action.label')"/>
                                </th>
                            </tr>
                        </ww:else>

                        <ww:iterator value="application.directories" status="rowstatus">

                            <input type="hidden" name="directory<ww:property value="#rowstatus.count" />" value="<ww:property value="directory.ID" />"/>

                            <ww:if test="#rowstatus/odd == true">
                                <tr class="odd">
                            </ww:if>
                            <ww:else>
                                <tr class="even">
                            </ww:else>

                            <td>
                                <ww:property value="directory.name"/>
                            </td>

                            <ww:if test="application.directories.size > 1">
                                <td style="text-align: center;">
                                    <ww:if test="#rowstatus.count > 1 && #rowstatus.count != 0">
                                        <a href="<ww:url namespace="/console/secure/application" action="updatedirectory" method="up" includeParams="none"><ww:param name="ID" value="ID"/><ww:param name="directoryID" value="directory.ID"/><ww:param name="tab" value="2"/></ww:url>"
                                           name="<ww:property value="getText('moveup.label')" />"><img src="<ww:url value="/console/images/icons/16x16/arrow_up_blue.gif" />" alt="<ww:property value="getText('moveup.label')" />"/></a>
                                    </ww:if>

                                    <ww:if test="#rowstatus.last == false">

                                        <ww:if test="#rowstatus.first == false">
                                            &nbsp;
                                        </ww:if>
                                        <a href="<ww:url namespace="/console/secure/application" action="updatedirectory" method="down" includeParams="none"><ww:param name="ID" value="ID"/><ww:param name="directoryID" value="directory.ID"/><ww:param name="tab" value="2"/></ww:url>"
                                           name="<ww:property value="getText('movedown.label')" />"><img src="<ww:url value="/console/images/icons/16x16/arrow_down_blue.gif" />" alt="<ww:property value="getText('movedown.label')" />"/></a>
                                    </ww:if>
                                </td>
                            </ww:if>

                            <td>
                                <select name="directory<ww:property value="#rowstatus.count" />-allowAll" style="width: 130px;">
                                    <option value="true"
                                            <ww:if test="allowAllToAuthenticate == true">selected</ww:if>
                                            >
                                        <ww:property value="getText('true.label')"/>
                                    </option>
                                    <option value="false"
                                            <ww:if test="allowAllToAuthenticate == false">selected</ww:if>
                                            >
                                        <ww:property value="getText('false.label')"/>
                                    </option>
                                </select>
                            </td>


                            <td>
                                <a href="<ww:url namespace="/console/secure/application" action="updatedirectory" method="removeDirectory" includeParams="none"><ww:param name="ID" value="ID"/><ww:param name="directoryID" value="directory.ID"/><ww:param name="tab" value="2"/></ww:url>"
                                   title="<ww:property value="getText('remove.label')"/>">
                                    <ww:property value="getText('remove.label')"/>
                                </a>

                            </td>

                            </tr>

                        </ww:iterator>

                    </table>
                </div>

                <div class="formFooter wizardFooter">

                    <div class="buttons">
                        <ww:if test="unsubscribedDirectories.size > 0">
                            <select name="unsubscribedDirectoriesID" style="width: 270px;">
                                <ww:iterator value="unsubscribedDirectories">
                                    <option value="<ww:property value="ID" />">
                                        <ww:property value="name"/>
                                    </option>
                                </ww:iterator>
                            </select>

                            <input type="button" class="button" value="<ww:property value="getText('add.label')"/> &raquo;" onClick="addDirectory();"/>
                            &nbsp;&nbsp;&nbsp;
                        </ww:if>

                        <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                        <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                               onClick="window.location='<ww:url namespace="/console/secure/application" action="viewapplication" method="default" includeParams="none"><ww:param name="ID" value="ID"/><ww:param name="tab" value="3"/></ww:url>';"/>
                    </div>
                </div>

            </form>

        </div>
    </div>


    <div class="tabContent" id="tab3">

        <div class="crowdForm">

            <form method="post" action="<ww:url namespace="/console/secure/application" action="updategroups" method="update" includeParams="none"/>" name="groupsForm">

                <div class="formBodyNoTop">

                    <ww:include value="/console/include/generic_errors.jsp"/>

                    <p>
                        <ww:property value="getText('application.groupmappings.text')"/>
                    </p>

                    <input type="hidden" name="ID" value="<ww:property value="ID" />"/>
                    <input type="hidden" name="tab" value="3"/>

                    <table id="groupsTable" class="formTable">
                        <tr>
                            <th width="64%">
                                <ww:property value="getText('browser.directory.label')"/>
                                &nbsp;&ndash;&nbsp;
                                <ww:property value="getText('browser.group.label')"/>
                            </th>
                            <th width="18%">
                                <ww:property value="getText('browser.active.label')"/>
                            </th>
                            <th width="18%">
                                <ww:property value="getText('browser.action.label')"/>
                            </th>
                        </tr>

                        <ww:iterator value="application.groups" status="rowstatus">

                            <input type="hidden" name="group<ww:property value="#rowstatus.count" />" value="<ww:property value="directory.ID" />"/>

                            <ww:if test="#rowstatus.odd == true">
                                <tr class="odd">
                            </ww:if>
                            <ww:else>
                                <tr class="even">
                            </ww:else>

                            <td>
                                <ww:property value="directory.name"/>
                                &nbsp;&ndash;&nbsp;
                                <ww:property value="name"/>
                            </td>

                            <td>
                                <select name="active-<ww:property value="directory.ID" />-<ww:property value="name" />" style="width: 130px;">
                                    <option value="true"
                                            <ww:if test="active == true">selected</ww:if>
                                            >
                                        <ww:property value="getText('active.label')"/>
                                    </option>
                                    <option value="false"
                                            <ww:if test="active == false">selected</ww:if>
                                            >
                                        <ww:property value="getText('inactive.label')"/>
                                    </option>
                                </select>
                            </td>

                            <td>
                                <a href="<ww:url namespace="/console/secure/application" action="updategroups" method="removeGroup" includeParams="none" ><ww:param name="ID" value="ID"/><ww:param name="removeDirectoryID" value="directory.ID"/><ww:param name="removeName" value="name"/><ww:param name="tab" value="3"/></ww:url>"
                                   title="<ww:property value="getText('remove.label')"/>">
                                    <ww:property value="getText('remove.label')"/>
                                </a>
                            </td>

                            </tr>

                        </ww:iterator>

                    </table>
                </div>

                <div class="formFooter wizardFooter">
                    <div class="buttons">
                        <ww:if test="unsubscribedGroups.size > 0">
                            <select name="unsubscribedGroup" style="width: 270px;">
                                <ww:iterator value="unsubscribedGroups">
                                    <option value="<ww:property value="directory.ID" />-<ww:property value="name" />">
                                        <ww:property value="directory.name"/>
                                        &nbsp;&ndash;&nbsp;
                                        <ww:property value="name"/>
                                    </option>
                                </ww:iterator>
                            </select>

                            <input type="button" class="button" value="<ww:property value="getText('add.label')"/> &raquo;" onClick="addGroup();"/>
                            &nbsp;&nbsp;&nbsp;
                        </ww:if>

                        <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                        <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                               onClick="window.location='<ww:url namespace="/console/secure/application" action="viewapplication" method="default" includeParams="none"><ww:param name="ID" value="ID"/><ww:param name="tab" value="3"/></ww:url>';"/>
                    </div>
                </div>

            </form>
        </div>
    </div>

    <div class="tabContent" id="tab4">

        <div class="crowdForm">

            <form method="post" action="<ww:url namespace="/console/secure/application" action="updateaddresses" method="update" includeParams="none"/>" name="addressForm">

                <div class="formBodyNoTop">

                    <ww:include value="/console/include/generic_errors.jsp"/>

                    <p>
                        <ww:property value="getText('application.addressmappings.text')"/>
                    </p>

                    <input type="hidden" name="ID" value="<ww:property value="ID" />"/>
                    <input type="hidden" name="tab" value="4"/>

                    <table id="addressesTable" class="formTable">
                        <tr>
                            <th width="64%">
                                <ww:property value="getText('browser.address.label')"/>
                            </th>
                            <th width="18%">
                                <ww:property value="getText('browser.active.label')"/>
                            </th>
                            <th width="18%">
                                <ww:property value="getText('browser.action.label')"/>
                            </th>
                        </tr>

                        <ww:iterator value="application.addresses" status="rowstatus">

                            <ww:if test="#rowstatus.odd == true">
                                <tr class="odd">
                            </ww:if>
                            <ww:else>
                                <tr class="even">
                            </ww:else>

                            <td>
                                <ww:property value="address"/>
                            </td>

                            <td>
                                <select name="active-<ww:property value="address" />" style="width: 130px;">
                                    <option value="true"
                                            <ww:if test="active == true">selected</ww:if>
                                            >
                                        <ww:property value="getText('true.label')"/>
                                    </option>
                                    <option value="false"
                                            <ww:if test="active == false">selected</ww:if>
                                            >
                                        <ww:property value="getText('false.label')"/>
                                    </option>
                                </select>
                            </td>

                            <td>
                                <a href="<ww:url namespace="/console/secure/application" action="updateaddresses" method="removeAddress" includeParams="none" ><ww:param name="ID" value="ID" /><ww:param name="address" value="address" /><ww:param name="tab" value="4" /></ww:url>"
                                   title="<ww:property value="getText('remove.label')"/>">
                                    <ww:property value="getText('remove.label')"/>
                                </a>
                            </td>

                            </tr>

                        </ww:iterator>

                    </table>
                </div>

                <div class="formFooter wizardFooter">
                    <div class="buttons">
                        Address:&nbsp;<input type="text" name="address" size="20" style="width: 200px;" value=""/>&nbsp;
                        <input type="button" class="button" value="<ww:property value="getText('add.label')"/> &raquo;" onClick="addAddress();"/>
                        &nbsp;&nbsp;&nbsp;
                        <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                        <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                               onClick="window.location='<ww:url namespace="/console/secure/application" action="viewapplication" method="default" includeParams="none"><ww:param name="ID" value="ID"/><ww:param name="tab" value="4"/></ww:url>';"/>
                    </div>
                </div>

            </form>

        </div>
        
    </div>

    <div class="tabContent create" id="tab5">

        <div class="crowdForm">

            <form method="post" action="<ww:url namespace="/console/secure/application" action="viewapplication" method="configTest" includeParams="none"/>">

                <div class="formBody">

                    <ww:include value="/console/include/generic_errors.jsp"/>

                    <input type="hidden" name="ID" value="<ww:property value="ID" />"/>
                    <input type="hidden" name="tab" value="5"/>

                    <p>
                        <ww:property value="getText('configtest.text.1')"/>
                    </p>

                    <p style="margin-bottom: 10px;">
                        <ww:property value="getText('configtest.text.2')"/>
                    </p>

                    <div class="row">

                        <ww:if test="testAuthentication == true">

                            <ww:if test="validTestAuthentication == true">
                                <p class="success">
                                    <ww:property value="getText('configtest.validauth.text')"/>
                                </p>
                            </ww:if>
                            <ww:else>
                                <p class="error">
                                    <ww:property value="getText('configtest.invalidauth.text')"/>
                                </p>
                            </ww:else>

                        </ww:if>

                    </div>

                    <ww:textfield name="testUsername">
                        <ww:param name="label" value="getText('principal.name.label')"/>
                    </ww:textfield>

                    <ww:password name="testPassword">
                        <ww:param name="label" value="getText('principal.password.label')"/>
                    </ww:password>

                </div>

                <div class="formFooter wizardFooter">

                    <div class="buttons">

                        <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                        <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                               onClick="window.location='<ww:url namespace="/console/secure/application" action="viewapplication" method="default" includeParams="none" ><ww:param name="ID" value="ID"/><ww:param name="tab" value="5"/></ww:url>'"/>

                    </div>
                </div>


            </form>

        </div>

    </div>

    </div>
</body>
</html>