<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/webwork" prefix="ww" %>

<html>
<head>
    <title>
        <ww:property value="getText('directory.importjira.title')"/>
    </title>
    <meta name="section" content="principals"/>
</head>
<body>
    <h2>
        <ww:property value="getText('directory.importjira.title')"/>
    </h2>


    <div class="page-content">
        <ul class="tabs">

            <li>
                    <span class="tab">
                        1. <ww:property value="getText('dataimport.type.label')"/>
                    </span>

            </li>

            <li class="on">
                    <span class="tab">
                        2. <ww:property value="getText('dataimport.options.label')"/>
                    </span>
            </li>

            <li>
                    <span class="tab">
                        3. <ww:property value="getText('dataimport.status.label')"/>
                    </span>
            </li>

        </ul>

        <div class="tabContent static">

            <div class="crowdForm">

                <form method="post" action="<ww:url namespace="/console/secure/dataimport" action="importjira" method="update" includeParams="none" />">

                    <div class="formBody">

                        <ww:include value="/console/include/generic_errors.jsp"/>

                        <p>
                            <ww:property value="getText('directory.importjira.text')"/>
                        </p>



                        <ww:select name="directoryID" list="directories" listKey="ID" listValue="name">
                            <ww:param name="label" value="getText('directory.importdirectory.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directory.importdirectory.description')"/>
                            </ww:param>
                        </ww:select>

                        <ww:textfield name="url" size="50">
                            <ww:param name="label" value="getText('directory.importjiradburl.label')"/>
                        </ww:textfield>

                        <ww:textfield name="driver" size="50">
                            <ww:param name="label" value="getText('directory.importjiradriver.label')"/>
                        </ww:textfield>

                        <ww:textfield name="username">
                            <ww:param name="label" value="getText('directory.importjiradbusername.label')"/>
                        </ww:textfield>

                        <ww:password name="password">
                            <ww:param name="label" value="getText('directory.importjiradbpassword.label')"/>
                        </ww:password>
                    </div>

                    <div class="formFooter wizardFooter">

                        <div class="buttons">


                            <input type="submit" class="button" value="<ww:property value="getText('continue.label')"/> &raquo;"/>

                            <ww:if test="directory.type.code == 1">
                                <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                                       onClick="window.location='<ww:url namespace="/console/secure/directory" action="viewinternal" method="default" includeParams="none" ><ww:param name="ID" value="ID" /></ww:url>';"/>
                            </ww:if>
                            <ww:elseif test="directory.type.code == 2">
                                <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                                       onClick="window.location='<ww:url namespace="/console/secure/directory" action="viewconnector" method="default" includeParams="none" ><ww:param name="ID" value="ID" /></ww:url>';"/>
                            </ww:elseif>
                            <ww:else>
                                <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                                       onClick="window.location='<ww:url namespace="/console/secure/directory" action="viewcustom" method="default" includeParams="none" ><ww:param name="ID" value="ID" /></ww:url>';"/>
                            </ww:else>

                        </div>
                    </div>

                </form>

            </div>

        </div>
    </div>
</body>
</html>