<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/webwork" prefix="ww" %>
<html>
<head>
    <title>
        <ww:property value="getText('menu.viewgroup.label')"/>
    </title>
    <meta name="section" content="groups"/>
    <jsp:include page="../../decorator/javascript_tabs.jsp">
        <jsp:param name="totalTabs" value="1"/>
    </jsp:include>
</head>
<body onload="init();">
    <p class="headingInfo">
        <a href="<ww:url namespace="/console/secure/group" action="addgroup" method="default" includeParams="none" />">
            <ww:property value="getText('menu.addgroup.label')"/>
        </a>
        &nbsp; | &nbsp;
        <a href="<ww:url namespace="/console/secure/group" action="removegroup" includeParams="none" ><ww:param name="directoryID" value="directoryID" /><ww:param name="name" value="name" /></ww:url>">
            <ww:property value="getText('menu.removegroup.label')"/>
        </a>
    </p>

    <h2>
        <ww:property value="getText('menu.viewgroup.label')"/>
        &nbsp;&ndash;&nbsp;
        <ww:property value="name"/>
    </h2>

    <div class="page-content">

        <ul class="tabs">
            <li class="on" id="hreftab1">
                <a href="javascript:processTabs(1);">
                    <ww:property value="getText('menu.details.label')"/>
                </a>
            </li>

        </ul>

        <div class="tabContent" id="tab1">

            <div class="crowdForm">
                 <form method="post" action="<ww:url namespace="/console/secure/group" action="updategroup" method="updateGeneral" includeParams="none" />">
                    <div class="formBody">

                        <ww:include value="/console/include/generic_errors.jsp"/>

                        <input type="hidden" name="tab" value="1"/>
                        <input type="hidden" name="directoryID" value="<ww:property value="directoryID" />"/>
                        <input type="hidden" name="name" value="<ww:property value="name" />"/>

                        <ww:include value="/console/include/generic_form_row.jsp">
                           <ww:param name="label" value="getText('group.name.label')" />
                            <ww:param name="value">
                                    <ww:property value="name"/>
                            </ww:param>
                        </ww:include>

                        <ww:include value="/console/include/generic_form_row.jsp">
                           <ww:param name="label" value="getText('group.directory.label')" />
                            <ww:param name="value">
                                    <ww:property value="directory.name"/>&nbsp;&mdash;&nbsp;<ww:property value="directory.implementation.directoryType"/>
                            </ww:param>
                        </ww:include>

                        <ww:textfield name="description" size="50">
                            <ww:param name="label" value="getText('group.description.label')"/>
                        </ww:textfield>

                        <ww:checkbox name="active" fieldValue="true">
                            <ww:param name="label" value="getText('group.active.label')"/>
                        </ww:checkbox>
            
                    </div>
                    <div class="formFooter wizardFooter">

                        <div class="buttons">
                            <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                                   onClick="window.location='<ww:url namespace="/console/secure/group" action="viewgroup" method="default" ><ww:param name="tab" value="1" /><ww:param name="directoryID" value="directoryID" /><ww:param name="name" value="name" /></ww:url>';"/>
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </div>
</body>
</html>